Freeciv-3.3: /fast/freeciv/nightly/main/client/gui-sdl2/themecolors.h File Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Enumerations | Functions
themecolors.h File Reference
`#include "colors_common.h"`

Go to the source code of this file.

## Enumerations

enum

theme_color {
COLOR_THEME_BACKGROUND , COLOR_THEME_CHECKBOX_LABEL_TEXT , COLOR_THEME_CUSTOM_WIDGET_NORMAL_TEXT , COLOR_THEME_CUSTOM_WIDGET_SELECTED_FRAME ,
COLOR_THEME_CUSTOM_WIDGET_SELECTED_TEXT , COLOR_THEME_CUSTOM_WIDGET_PRESSED_FRAME , COLOR_THEME_CUSTOM_WIDGET_PRESSED_TEXT , COLOR_THEME_CUSTOM_WIDGET_DISABLED_TEXT ,
COLOR_THEME_EDITFIELD_CARET , COLOR_THEME_LABEL_BAR , COLOR_THEME_QUICK_INFO_BG , COLOR_THEME_QUICK_INFO_FRAME ,
COLOR_THEME_QUICK_INFO_TEXT , COLOR_THEME_SELECTIONRECTANGLE , COLOR_THEME_TEXT , COLOR_THEME_THEMELABEL2_BG ,
COLOR_THEME_WIDGET_NORMAL_TEXT , COLOR_THEME_WIDGET_SELECTED_TEXT , COLOR_THEME_WIDGET_PRESSED_TEXT , COLOR_THEME_WIDGET_DISABLED_TEXT ,
COLOR_THEME_WINDOW_TITLEBAR_SEPARATOR , COLOR_THEME_ADVANCEDTERRAINDLG_TEXT , COLOR_THEME_CITYDLG_BUY , COLOR_THEME_CITYDLG_CELEB ,
COLOR_THEME_CITYDLG_CORRUPTION , COLOR_THEME_CITYDLG_FOODPERTURN , COLOR_THEME_CITYDLG_FOODSTOCK , COLOR_THEME_CITYDLG_FOOD_SURPLUS ,
COLOR_THEME_CITYDLG_FRAME , COLOR_THEME_CITYDLG_GOLD , COLOR_THEME_CITYDLG_GRANARY , COLOR_THEME_CITYDLG_GROWTH ,
COLOR_THEME_CITYDLG_HAPPY , COLOR_THEME_CITYDLG_IMPR , COLOR_THEME_CITYDLG_INFOPANEL , COLOR_THEME_CITYDLG_LUX ,
COLOR_THEME_CITYDLG_PANEL , COLOR_THEME_CITYDLG_PROD , COLOR_THEME_CITYDLG_SCIENCE , COLOR_THEME_CITYDLG_SELL ,
COLOR_THEME_CITYDLG_SHIELDSTOCK , COLOR_THEME_CITYDLG_STOCKS , COLOR_THEME_CITYDLG_SUPPORT , COLOR_THEME_CITYDLG_TRADE ,
COLOR_THEME_CITYDLG_UPKEEP , COLOR_THEME_CITYREP_FOODSTOCK , COLOR_THEME_CITYREP_FRAME , COLOR_THEME_CITYREP_PROD ,
COLOR_THEME_CITYREP_TEXT , COLOR_THEME_CITYREP_TRADE , COLOR_THEME_CMA_FRAME , COLOR_THEME_CMA_TEXT ,
COLOR_THEME_CONNECTDLG_FRAME , COLOR_THEME_CONNECTDLG_INNERFRAME , COLOR_THEME_CONNECTDLG_LABELFRAME , COLOR_THEME_CONNLISTDLG_FRAME ,
COLOR_THEME_DIPLODLG_MEETING_HEADING_TEXT , COLOR_THEME_DIPLODLG_MEETING_TEXT , COLOR_THEME_DIPLODLG_TEXT , COLOR_THEME_ECONOMYDLG_FRAME ,
COLOR_THEME_ECONOMYDLG_NEG_TEXT , COLOR_THEME_ECONOMYDLG_TEXT , COLOR_THEME_HELPDLG_FRAME , COLOR_THEME_HELPDLG_LINE ,
COLOR_THEME_HELPDLG_LINE2 , COLOR_THEME_HELPDLG_LINE3 , COLOR_THEME_HELPDLG_TEXT , COLOR_THEME_JOINGAMEDLG_FRAME ,
COLOR_THEME_JOINGAMEDLG_TEXT , COLOR_THEME_MAPVIEW_INFO_FRAME , COLOR_THEME_MAPVIEW_INFO_TEXT , COLOR_THEME_MAPVIEW_UNITINFO_TEXT ,
COLOR_THEME_MAPVIEW_UNITINFO_VETERAN_TEXT , COLOR_THEME_MESWIN_ACTIVE_TEXT , COLOR_THEME_MESWIN_ACTIVE_TEXT2 , COLOR_THEME_MESWIN_FRAME ,
COLOR_THEME_NATIONDLG_FRAME , COLOR_THEME_NATIONDLG_LEGEND , COLOR_THEME_NATIONDLG_TEXT , COLOR_THEME_NEWCITYDLG_TEXT ,
COLOR_THEME_OPTIONDLG_WORKLISTLIST_FRAME , COLOR_THEME_OPTIONDLG_WORKLISTLIST_TEXT , COLOR_THEME_PLRDLG_ALLIANCE , COLOR_THEME_PLRDLG_ARMISTICE ,
COLOR_THEME_PLRDLG_CEASEFIRE , COLOR_THEME_PLRDLG_FRAME , COLOR_THEME_PLRDLG_PEACE , COLOR_THEME_PLRDLG_TEXT ,
COLOR_THEME_PLRDLG_WAR , COLOR_THEME_PLRDLG_WAR_RESTRICTED , COLOR_THEME_REVOLUTIONDLG_TEXT , COLOR_THEME_SABOTAGEDLG_SEPARATOR ,
COLOR_THEME_SCIENCEDLG_FRAME , COLOR_THEME_SCIENCEDLG_MED_TECHICON_BG , COLOR_THEME_SCIENCEDLG_TEXT , COLOR_THEME_SELLIMPR_TEXT ,
COLOR_THEME_UNITSREP_FRAME , COLOR_THEME_UNITSREP_TEXT , COLOR_THEME_UNITUPGRADE_TEXT , COLOR_THEME_UNITDISBAND_TEXT ,
COLOR_THEME_USERPASSWDDLG_FRAME , COLOR_THEME_USERPASSWDDLG_TEXT , COLOR_THEME_WARDLG_TEXT , COLOR_THEME_WLDLG_FRAME ,
COLOR_THEME_LAST
}

## Functions

struct color * | theme_get_color (const struct theme *t, enum theme_color color)
struct theme_color_system * | theme_color_system_read (struct section_file *file)
void | theme_color_system_free (struct theme_color_system *colors)

## Enumeration Type Documentation

## ◆ theme_color

enum theme_color

Enumerator
COLOR_THEME_BACKGROUND |
COLOR_THEME_CHECKBOX_LABEL_TEXT |
COLOR_THEME_CUSTOM_WIDGET_NORMAL_TEXT |
COLOR_THEME_CUSTOM_WIDGET_SELECTED_FRAME |
COLOR_THEME_CUSTOM_WIDGET_SELECTED_TEXT |
COLOR_THEME_CUSTOM_WIDGET_PRESSED_FRAME |
COLOR_THEME_CUSTOM_WIDGET_PRESSED_TEXT |
COLOR_THEME_CUSTOM_WIDGET_DISABLED_TEXT |
COLOR_THEME_EDITFIELD_CARET |
COLOR_THEME_LABEL_BAR |
COLOR_THEME_QUICK_INFO_BG |
COLOR_THEME_QUICK_INFO_FRAME |
COLOR_THEME_QUICK_INFO_TEXT |
COLOR_THEME_SELECTIONRECTANGLE |
COLOR_THEME_TEXT |
COLOR_THEME_THEMELABEL2_BG |
COLOR_THEME_WIDGET_NORMAL_TEXT |
COLOR_THEME_WIDGET_SELECTED_TEXT |
COLOR_THEME_WIDGET_PRESSED_TEXT |
COLOR_THEME_WIDGET_DISABLED_TEXT |
COLOR_THEME_WINDOW_TITLEBAR_SEPARATOR |
COLOR_THEME_ADVANCEDTERRAINDLG_TEXT |
COLOR_THEME_CITYDLG_BUY |
COLOR_THEME_CITYDLG_CELEB |
COLOR_THEME_CITYDLG_CORRUPTION |
COLOR_THEME_CITYDLG_FOODPERTURN |
COLOR_THEME_CITYDLG_FOODSTOCK |
COLOR_THEME_CITYDLG_FOOD_SURPLUS |
COLOR_THEME_CITYDLG_FRAME |
COLOR_THEME_CITYDLG_GOLD |
COLOR_THEME_CITYDLG_GRANARY |
COLOR_THEME_CITYDLG_GROWTH |
COLOR_THEME_CITYDLG_HAPPY |
COLOR_THEME_CITYDLG_IMPR |
COLOR_THEME_CITYDLG_INFOPANEL |
COLOR_THEME_CITYDLG_LUX |
COLOR_THEME_CITYDLG_PANEL |
COLOR_THEME_CITYDLG_PROD |
COLOR_THEME_CITYDLG_SCIENCE |
COLOR_THEME_CITYDLG_SELL |
COLOR_THEME_CITYDLG_SHIELDSTOCK |
COLOR_THEME_CITYDLG_STOCKS |
COLOR_THEME_CITYDLG_SUPPORT |
COLOR_THEME_CITYDLG_TRADE |
COLOR_THEME_CITYDLG_UPKEEP |
COLOR_THEME_CITYREP_FOODSTOCK |
COLOR_THEME_CITYREP_FRAME |
COLOR_THEME_CITYREP_PROD |
COLOR_THEME_CITYREP_TEXT |
COLOR_THEME_CITYREP_TRADE |
COLOR_THEME_CMA_FRAME |
COLOR_THEME_CMA_TEXT |
COLOR_THEME_CONNECTDLG_FRAME |
COLOR_THEME_CONNECTDLG_INNERFRAME |
COLOR_THEME_CONNECTDLG_LABELFRAME |
COLOR_THEME_CONNLISTDLG_FRAME |
COLOR_THEME_DIPLODLG_MEETING_HEADING_TEXT |
COLOR_THEME_DIPLODLG_MEETING_TEXT |
COLOR_THEME_DIPLODLG_TEXT |
COLOR_THEME_ECONOMYDLG_FRAME |
COLOR_THEME_ECONOMYDLG_NEG_TEXT |
COLOR_THEME_ECONOMYDLG_TEXT |
COLOR_THEME_HELPDLG_FRAME |
COLOR_THEME_HELPDLG_LINE |
COLOR_THEME_HELPDLG_LINE2 |
COLOR_THEME_HELPDLG_LINE3 |
COLOR_THEME_HELPDLG_TEXT |
COLOR_THEME_JOINGAMEDLG_FRAME |
COLOR_THEME_JOINGAMEDLG_TEXT |
COLOR_THEME_MAPVIEW_INFO_FRAME |
COLOR_THEME_MAPVIEW_INFO_TEXT |
COLOR_THEME_MAPVIEW_UNITINFO_TEXT |
COLOR_THEME_MAPVIEW_UNITINFO_VETERAN_TEXT |
COLOR_THEME_MESWIN_ACTIVE_TEXT |
COLOR_THEME_MESWIN_ACTIVE_TEXT2 |
COLOR_THEME_MESWIN_FRAME |
COLOR_THEME_NATIONDLG_FRAME |
COLOR_THEME_NATIONDLG_LEGEND |
COLOR_THEME_NATIONDLG_TEXT |
COLOR_THEME_NEWCITYDLG_TEXT |
COLOR_THEME_OPTIONDLG_WORKLISTLIST_FRAME |
COLOR_THEME_OPTIONDLG_WORKLISTLIST_TEXT |
COLOR_THEME_PLRDLG_ALLIANCE |
COLOR_THEME_PLRDLG_ARMISTICE |
COLOR_THEME_PLRDLG_CEASEFIRE |
COLOR_THEME_PLRDLG_FRAME |
COLOR_THEME_PLRDLG_PEACE |
COLOR_THEME_PLRDLG_TEXT |
COLOR_THEME_PLRDLG_WAR |
COLOR_THEME_PLRDLG_WAR_RESTRICTED |
COLOR_THEME_REVOLUTIONDLG_TEXT |
COLOR_THEME_SABOTAGEDLG_SEPARATOR |
COLOR_THEME_SCIENCEDLG_FRAME |
COLOR_THEME_SCIENCEDLG_MED_TECHICON_BG |
COLOR_THEME_SCIENCEDLG_TEXT |
COLOR_THEME_SELLIMPR_TEXT |
COLOR_THEME_UNITSREP_FRAME |
COLOR_THEME_UNITSREP_TEXT |
COLOR_THEME_UNITUPGRADE_TEXT |
COLOR_THEME_UNITDISBAND_TEXT |
COLOR_THEME_USERPASSWDDLG_FRAME |
COLOR_THEME_USERPASSWDDLG_TEXT |
COLOR_THEME_WARDLG_TEXT |
COLOR_THEME_WLDLG_FRAME |
COLOR_THEME_LAST |

Definition at line 23 of file themecolors.h.

## Function Documentation

## ◆ theme_color_system_free()

void theme_color_system_free | ( | struct theme_color_system * | colors | ) |

Called when the client first starts to free any allocated colors.

Definition at line 175 of file themecolors.c.

## ◆ theme_color_system_read()

struct theme_color_system * theme_color_system_read | ( | struct section_file * | file | ) |

Read theme color system from a file.

Definition at line 151 of file themecolors.c.

## ◆ theme_get_color()

struct color * theme_get_color | ( | const struct theme * | t,
|  | enum theme_color | color
| ) |  |

Return a pointer to the given "theme" color.

Definition at line 203 of file themecolors.c.